Subject: bug#43151: Calibre ebook-viewer requires QtWebEngine

From: Andreas Enge <[email-masked]>
Date: Sun, 6 Sep 2020 10:25:19 +0200

(cc-ing this and only this bug, the other one seems to have diverged towards
css and typescript)

On Fri, Sep 04, 2020 at 07:53:02PM +1000, Brendan Tildesley wrote:
> > I did not realise there was already an open ticket for updating calibre,
> > thanks for pointing it out. Indeed I do not think we need to wrap all
> > programs. I tried out the programs in ...calibre-4.18.0/bin, and only these
> > two fail with an error message:
> >     ebook-edit
> >     ebook-viewer
> > I did not try the different calibre-*; calibre itself starts. Then it can call
> > ebook-viewer, and I do not know the mechanism, so it might just call the
> > wrapped binary ebook-viewer, or it might need wrapping itself because of using
> > internal python mechanics. I would give it a try and not wrap it in the first
> > place.
> > 
> > All "binaries" are already wrappend with PYTHONPATH, so there is probably some
> > mechanic to avoid double wrapping (which your patch may already address).
> Since it uses (replace 'wrap..., it won't run the old wrap phase any more.
> Also I don't think it matters much that the other variables also have the Qt
> variable wrapped, perhaps it is more correct anyway. Especially since the
> wrap script uses '=, which wrap-program interprets as overwriting the
> variable completely, so applying it twice won't make a difference anyway.

Well, I think we should not wrap more than absolutely necessary. And it would
even be easier to write (no need to look for all the binaries, just use these
two names). Would you like to create a patch maybe for the current calibre,
and handle the update following the other bug?

Andreas